FROM python:3.9-slim

WORKDIR /app

# Install Python dependencies
COPY helpers/requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

# Copy helper scripts
COPY helpers/ .

# Set environment variables
ENV PYTHONUNBUFFERED=1

# Command to run the create_account script
CMD ["python", "create_account.py", "-u", "${ADMIN_USERNAME}", "-p", "${ADMIN_PASSWORD}"]
